View Issue Details

IDProjectCategoryView StatusLast Update
0023769Open CASCADEOCCT:WOKpublic2013-04-29 15:23
Reporterdbv Assigned Todbv  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
PlatformMac 
Target Version6.6.0Fixed in Version6.6.0 
Summary0023769: Eliminate the dependence on X11 libs on Mac OS X
DescriptionPackages Xw and ImageUtility should be excluded from build process on Mac OS X, when Cocoa used.
TagsNo tags attached.
Test case numberNot needed

Relationships

related to 0023209 closeddbv Community Potentially unmatched XOpenDisplay() and XCloseDisplay() calls in some OCCT packages 

Activities

dbv

2013-02-18 19:31

developer   ~0023374

Patch has been pushed to the occt git branch CR23769 and occt-wok git branch CR23769.

Dear Kirill, please review.

dbv

2013-02-19 10:25

developer   ~0023378

Removed ImageUtility package as it is no longer used.

kgv

2013-02-19 10:36

developer   ~0023381

Patch was reviewed without remarks.

mkv

2013-02-21 09:56

tester   ~0023421

Dear BugMaster,

Branch CR23769 (and occt from GIT master) was compiled on Linux platform.
SHA-1: ab4ab8c68f5e29415dfef633725f37a609682323

There is following error:

http://jenkins-test-01.nnov.opencascade.com:8080/user/mnt/my-views/view/CR23769/job/mnt-CR23769-master_prepare_occt_linux/1/console
 toolkit: TKService ==> /misc/dn60/WOKLOC/wok_entities/LOC/dev/CR23769-master-occt/src/TKService/EXTERNLIB
Error : Exception was raised :

Xw_CMPLRS.edl : line 25 : Variable not found : %MACOSX_USE_GLX

dbv

2013-02-21 10:41

developer   ~0023422

Dear mkv,

Could you please check your local branch, looks like you have old version of Xw_WOKSteps.edl
Also check changes in occt-wok git branch CR23769

Dear bugmaster,
This patch also should be tested on Mac OS X platform.

dbv

2013-02-28 17:10

developer   ~0023533

Dear bugmaster,

Please take latest changes from CR23769 and test the fix.

bugmaster

2013-03-07 12:47

administrator   ~0023611

Fix has been integrated in master of occt-wok repository

Related Changesets

occt: master 872f4e44

2013-03-15 07:47:42

dbv

Details Diff
0023769: Eliminate the dependence on X11 libs on Mac OS X
Removed ImageUtility package as it is no longer used.
Disabled Xw package building on Mac OS X when Cocoa used.
Affected Issues
0023769
mod - adm/UDLIST Diff File
rm - src/ImageUtility/EXTERNLIB Diff File
rm - src/ImageUtility/FILES Diff File
rm - src/ImageUtility/ImageUtility.cdl Diff File
rm - src/ImageUtility/ImageUtility.cxx Diff File
rm - src/ImageUtility/ImageUtility_WOKSteps.edl Diff File
rm - src/ImageUtility/ImageUtility_WOKUMake.edl Diff File
rm - src/ImageUtility/ImageUtility_X11Display.cxx Diff File
rm - src/ImageUtility/ImageUtility_X11Display.hxx Diff File
rm - src/ImageUtility/ImageUtility_X11Dump.cdl Diff File
rm - src/ImageUtility/ImageUtility_X11Dump.cxx Diff File
rm - src/ImageUtility/ImageUtility_X11GC.cxx Diff File
rm - src/ImageUtility/ImageUtility_X11GC.hxx Diff File
rm - src/ImageUtility/ImageUtility_X11Window.cxx Diff File
rm - src/ImageUtility/ImageUtility_X11Window.hxx Diff File
rm - src/ImageUtility/ImageUtility_X11XImage.cxx Diff File
rm - src/ImageUtility/ImageUtility_X11XImage.hxx Diff File
rm - src/ImageUtility/ImageUtility_XPR.cdl Diff File
rm - src/ImageUtility/ImageUtility_XPR.cxx Diff File
rm - src/ImageUtility/ImageUtility_XWD.cdl Diff File
rm - src/ImageUtility/ImageUtility_XWD.cxx Diff File
rm - src/ImageUtility/ImageUtility_XWUD.cdl Diff File
rm - src/ImageUtility/ImageUtility_XWUD.cxx Diff File
mod - src/QADraw/QADraw.cxx Diff File
mod - src/TKService/PACKAGES Diff File
mod - src/Visual3d/Visual3d_ViewManager.cxx Diff File
mod - src/Xw/Xw_CMPLRS.edl Diff File
mod - src/Xw/Xw_WOKSteps.edl Diff File
mod - src/Xw/Xw_WOKUMake.edl Diff File

Issue History

Date Modified Username Field Change
2013-02-18 18:54 dbv New Issue
2013-02-18 18:54 dbv Assigned To => kgv
2013-02-18 18:55 dbv Assigned To kgv => dbv
2013-02-18 18:55 dbv Status new => assigned
2013-02-18 19:31 dbv Note Added: 0023374
2013-02-18 19:31 dbv Assigned To dbv => kgv
2013-02-18 19:31 dbv Status assigned => resolved
2013-02-19 10:25 dbv Note Added: 0023378
2013-02-19 10:36 kgv Note Added: 0023381
2013-02-19 10:36 kgv Assigned To kgv => bugmaster
2013-02-19 10:36 kgv Status resolved => reviewed
2013-02-19 10:36 kgv Target Version => 6.6.0
2013-02-19 10:37 kgv Platform => Mac
2013-02-19 12:06 dbv Relationship added related to 0023209
2013-02-20 10:35 bugmaster Assigned To bugmaster => mkv
2013-02-21 09:56 mkv Note Added: 0023421
2013-02-21 09:56 mkv Test case number => Not needed
2013-02-21 09:56 mkv Assigned To mkv => dbv
2013-02-21 09:56 mkv Status reviewed => assigned
2013-02-21 10:33 dbv Status assigned => resolved
2013-02-21 10:41 dbv Note Added: 0023422
2013-02-21 10:41 dbv Assigned To dbv => mkv
2013-02-21 10:41 dbv Status resolved => reviewed
2013-02-28 17:10 dbv Note Added: 0023533
2013-03-07 12:47 bugmaster Note Added: 0023611
2013-03-07 12:47 bugmaster Status reviewed => verified
2013-03-07 12:47 bugmaster Resolution open => fixed
2013-03-07 12:47 bugmaster Assigned To mkv => dbv
2013-03-18 20:48 dbv Changeset attached => occt master 872f4e44
2013-04-23 13:35 aiv Status verified => closed
2013-04-29 15:23 aiv Fixed in Version => 6.6.0